package es.us.ccia.dummy.dibujo;

import java.awt.event.ActionListener;
import javax.swing.*;

//import es.us.tad.*;
//import es.us.ccia.dummy.DummyPaella;
//import es.us.ccia.dummy.contexto.Contexto;
//import es.us.ccia.dummy.contexto.entsal.Entrada;
//import es.us.ccia.dummy.contexto.entsal.Grabar;
//import es.us.ccia.dummy.contexto.entsal.Importar;
//import es.us.ccia.dummy.contexto.razonador.*;
//import es.us.ccia.dummy.teoria.*;

@SuppressWarnings("serial")
public class BarraMenu extends JMenuBar {

	private JMenu menuArchivo;
	private JMenuItem opcionAbrir;
	private JMenuItem opcionGuardar;
	private JMenuItem opcionGComo;
	private JMenuItem opcionImp;
	private JMenuItem opcionExp;
	private JMenuItem opcionSalir;
	private JMenuItem opcionNuevo;

	private JMenu menuEditar;
	private JMenuItem Undo;

	private JMenu menuAyuda;
	private JMenuItem Acercade;


	public BarraMenu(ActionListener aL) {
		super();
	    menuArchivo = new JMenu( "File" );
	    
	    opcionAbrir   = new JMenuItem("Open");
	    opcionGuardar = new JMenuItem("Save");
	    opcionGComo   = new JMenuItem("Save as");
	    opcionImp     = new JMenuItem("Import Delic");
	    opcionExp     = new JMenuItem("Export Delic");
//	    JMenuItem.
	    opcionSalir   = new JMenuItem("Exit");
	    opcionNuevo   = new JMenuItem("New");
	    
	    
	    opcionAbrir.addActionListener( aL );
	    opcionGuardar.addActionListener( aL );
	    opcionGComo.addActionListener( aL );
	    opcionImp.addActionListener( aL );
	    opcionExp.addActionListener( aL );
	    opcionSalir.addActionListener( aL );
	    opcionNuevo.addActionListener( aL );
	    
	    menuArchivo.add( opcionNuevo );
	    menuArchivo.add( opcionAbrir );
	    menuArchivo.add( opcionGuardar );
	    menuArchivo.add( opcionGComo );
	    menuArchivo.addSeparator();	    
	    menuArchivo.add( opcionImp );
	    menuArchivo.add( opcionExp );
	    menuArchivo.addSeparator();	    
	    menuArchivo.add( opcionSalir );
	    add( menuArchivo);

	    /*************************/
	    
	    menuEditar  = new JMenu( "Edit" );
	    Undo        = new JMenuItem("Undo");
	    
	    Undo.addActionListener(aL);
	    
	    menuEditar.add(Undo);
	    
	    add(menuEditar);
	    
	    
	    /*************************/
	    menuAyuda   = new JMenu( "Help" );
	    Acercade    = new JMenuItem("About");
	    
	    Acercade.addActionListener(aL);
	    
	    menuAyuda.add(Acercade);
	    add(menuAyuda);
	    
	   	
	}

	
	
	
	
	
}
